Loading...
Searching...
No Matches
BALL::VIEW::PTEDialog Class Reference

`#include <BALL/VIEW/DIALOGS/PTEDialog.h>`

Inheritance diagram for BALL::VIEW::PTEDialog:

## Public Slots

void | newElementType (int elementNumber)

## Public Member Functions

| PTEDialog (QWidget *parent=0)
| ~PTEDialog ()

## Protected Slots

void | elementClicked_ ()
void | elementChoosen_ ()

## Protected Member Functions

QString | atomProperties_ (int number)
void | connectChilds_ (QObject *o)

## Detailed Description

Dialog for choosing the element type for the edit mode of scene. \ingroups ViewDialogs

Definition at line 24 of file PTEDialog.h.

## Constructor & Destructor Documentation

## PTEDialog()

BALL::VIEW::PTEDialog::PTEDialog | ( | QWidget * | parent = 0 | ) |

## ~PTEDialog()

BALL::VIEW::PTEDialog::~PTEDialog | ( |  | ) |

## Member Function Documentation

## atomProperties_()

QString BALL::VIEW::PTEDialog::atomProperties_ | ( | int | number | ) |

protected

## connectChilds_()

void BALL::VIEW::PTEDialog::connectChilds_ | ( | QObject * | o | ) |

protected

## elementChoosen_

void BALL::VIEW::PTEDialog::elementChoosen_ | ( |  | ) |

protected slot

## elementClicked_

void BALL::VIEW::PTEDialog::elementClicked_ | ( |  | ) |

protected slot

## newElementType

void BALL::VIEW::PTEDialog::newElementType | ( | int | elementNumber | ) |

slot